<template>
  <div class="container">
    <div class="text-section">
      <div class="info text--primary">
        <h2
          v-if="data.title"
          class="heading--lg heading--primary section-title"
          v-html="data.title"
        />
        <p class="content" v-html="$utils.nlToBr(data.description)"></p>
        <a
          v-if="data.button_url && data.button_text"
          :href="data.button_url"
          :target="data.button_new_window == '1' ? '_blank' : '_self'"
          class="content-btn"
        >
          <AppButton>{{ data.button_text }}</AppButton>
        </a>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    data: {
      type: Object,
      required: true
    }
  }
}
</script>

<style lang="scss" scoped>
.container {
  background: #f8f8f8;
}

.text-section {
  display: flex;
  background: #f8f8f8;
  max-width: 800px;
  margin: auto;
  margin-bottom: 36px;
  padding: 70px 0;

  @media (max-width: 768px) {
    position: relative;
    flex-direction: column-reverse;
  }

  .info {
    flex: 1;

    @media (max-width: 768px) {
      margin-left: 15px;
      margin-right: 15px;
      text-align: center;
    }

    .section-title {
      line-height: normal;
      margin-bottom: 1rem;
    }

    .content {
      margin-top: 1rem;
      margin-bottom: 1rem;

      line-height: 1.7;
      text-align: justify;
    }

    ::v-deep .button {
      @media (max-width: 767px) {
        padding: 1.5rem 0;
      }
    }
  }
}
</style>
